<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.8) on Mon Nov 30 13:15:36 CET 2020 -->
<title>AmaltheaLoader</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-11-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.eclipse.app4mc.amalthea.model.io</a></div>
<h2 title="Class AmaltheaLoader" class="title">Class AmaltheaLoader</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>AmaltheaLoader</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">AmaltheaLoader</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static Amalthea</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#loadFromFile(java.io.File)">loadFromFile</a></span>&#8203;(File&nbsp;file)</code></th>
<td class="colLast">
<div class="block">Static method to load an AMALTHEA model from a file.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static Amalthea</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#loadFromFileNamed(java.lang.String)">loadFromFileNamed</a></span>&#8203;(String&nbsp;pathname)</code></th>
<td class="colLast">
<div class="block">Static method to load an AMALTHEA model from a file with a given pathname string.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static Amalthea</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#loadFromURI(org.eclipse.emf.common.util.URI)">loadFromURI</a></span>&#8203;(URI&nbsp;uri)</code></th>
<td class="colLast">
<div class="block">Static method to load an AMALTHEA model from a file URI.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="loadFromFileNamed(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadFromFileNamed</h4>
<pre class="methodSignature">public static&nbsp;Amalthea&nbsp;loadFromFileNamed&#8203;(String&nbsp;pathname)</pre>
<div class="block">Static method to load an AMALTHEA model from a file with a given pathname string.
 <p>
 Possible path names:
 <ul>
 <li>absolute (example: "d:/temp/model.amxmi")</li>
 <li>relative to project folder (example: "input/model.amxmi")</li>
 </ul></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pathname</code> - String</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>AMALTHEA model - null if load failed</dd>
</dl>
</li>
</ul>
<a id="loadFromFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadFromFile</h4>
<pre class="methodSignature">public static&nbsp;Amalthea&nbsp;loadFromFile&#8203;(File&nbsp;file)</pre>
<div class="block">Static method to load an AMALTHEA model from a file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - standard Java file</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>AMALTHEA model - null if load failed</dd>
</dl>
</li>
</ul>
<a id="loadFromURI(org.eclipse.emf.common.util.URI)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>loadFromURI</h4>
<pre class="methodSignature">public static&nbsp;Amalthea&nbsp;loadFromURI&#8203;(URI&nbsp;uri)</pre>
<div class="block">Static method to load an AMALTHEA model from a file URI.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>uri</code> - org.eclipse.emf.common.util.URI</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>AMALTHEA model - null if load failed</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
